搜尋 Mozilla 技術支援網站

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Constant JavaScript 'Syntax error' notification after upgrading to 17.0

  • 30 回覆
  • 154 有這個問題
  • 24191 次檢視
  • 最近回覆由 yrt8476

more options

Almost at every page I open appears following notification 'Error: Syntax error' from JavaScript application. Even on this page where I fill the form. I have to click 'OK' several times to make it disappear.

被選擇的解決方法

Same issue with latest upgrade. In Safe Mode removed SocialFixer. That fixed the problem.

從原來的回覆中察看解決方案 👍 33

所有回覆 (20)

more options

Getting the same errors, this is with and without extensions, and I made sure Java was up to date.

more options

My Java is up to date too

more options

Guys, the problem is most likely with some of your plugins. I started FireFox in safe mode with all my plugins disabled (menu Help) and the problem with JavaScript syntax error disappeared.

more options

This issue can be caused by an extension that isn't working properly.
Another user has reported that the Social Fixer extension caused this issue.

Start Firefox in Safe Mode to check if one of the extensions (Firefox/Tools > Add-ons > Extensions) or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance).

  • Do not click the Reset button on the Safe mode start window or otherwise make changes.
more options

選擇的解決方法

Same issue with latest upgrade. In Safe Mode removed SocialFixer. That fixed the problem.

more options

I have the same problem but it happens on pages that are not on facebook, (like pages on Oprah.com) which tells me its NOT socialfixer, or not JUST to do with socialfixer.

My java is also up-to-date.

more options

I was getting the Syntax Error (Javascript ap.) in Gmail (Start Page). After disabling Integrated Gmail 2.8.8, All back to normal !

more options

I still have the problem. Is there a way that Firefox can fix the problem from their end, for those of us who aren't that technically savvy?

more options

I would like you to first try Safe Mode. Do not confuse this with Windows safe mode. Read here: https://support.mozilla.org/kb/Safe+Mode If you can operate your browser, you should be able to get into Safe Mode. Reading is knowledge, thus read the link first. Once you achieve Safe Mode, report back to us on the forum with your results. Good Luck!

more options

Thanks, DriftMGR, for contacting me so quickly. I clicked the Restart Firefox button. Now everything looks very different, but happy to say that Error Message isn't popping up all the time anymore. May take a while to adjust to all the other changes, but I will manage. Thank you

more options

Ok, so it turns out that for me it really was socialfixer. There was an upgrade on Tuesday and I just found out about it today. All better for me.  :)

more options

Now my Adblock isn't working anymore. Groan. That has always been one of my favorite things about Fire Fox. No ads. Any advice on how to get Adblock working again?

more options

Hi summertime

Try to ask advice at the Adblock Plus forum.

more options

46 views and 0 answers on the Adblock Plus forum :-(

more options

Social Fixer was the culprit in my case. The problem has been fixed in their version 7.3.

more options

Same problem (and solution) here with the syntax errors happening not only on facebook, but other sites like IMBD etc.

Social fixer was the problem and updating it resolved the issue, the version available via the Add-ons Manager is still the old one but the version available from the socialfixer.com is working fine.

@ summertime, FWIW I'm using ABP without issue.

Thanks people.

由 jeltz 於 修改

more options

I changed to Safe Mode and It solved the problem. But how can I discover wich plugin (or plugins) or extension is causing the problem? thanks in advance.

more options

With all plug ins disabled, you can add them back one by one. Restart when needed. Continue this process until you find the non-compatible plug-in.

more options

Ok, and I discovered that the extension that was producing the error message was "Linkify (for Microsoft Lync) 1.0. I I excluded it and I didn't receive the error message longer. Thanks for the help. Very very thanks. Antonio Carlos.

more options

google social fixer 7.3 and download it. fixed the problem for me as well.

  1. 1
  2. 2